#include "Result.h"

Status::Status(const Status::Type type, const std::string& message):
    type{type},
    message{message} {}

bool Status::isSet() const
{
    return (type != Status::Type::None);
}


bool Status::isOK() const
{
    return (type == Status::Type::Info);
}


bool Status::isWarning() const
{
    return (type == Status::Type::Warning);
}


bool Status::isError() const
{
    return (type == Status::Type::Error);
}


Status::operator bool() const
{
    return isOK() || isWarning();
}

//========================================
