#ifndef SWIG

#include <string>
#include <memory>  // unique_ptr
#include "PyCore/Embed/PyObjectDecl.h"
#include "PyCore/Embed/Result.h"

class MultiLayer;

namespace PythonInterpreter
{

//! Creates a multi layer by running python code in embedded interpreter.
//! @param script: Python script
//! @param functionName: A function name in this script which produces a MultiLayer
//! @param path: A path to import BornAgain library. If empty, relies on PYTHONPATH
Result<std::unique_ptr<MultiLayer>> createMultiLayerFromPython(
    const std::string& script, const std::string& functionName,
    const std::string& path = "");

}  // namespace PythonInterpreter

#endif // SWIG
